Subject: Re: bug#16214: Consistency in dired-, occur-, and grep-mode

From: Howard Melman <[email-masked]>
Date: Sat, 12 Feb 2022 14:12:01 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> If these modes were designed today, then having the keys be more
> consistent would indeed be a priority.  However, these bindings have
> been around for decades, and changing them would break the muscle memory
> of many people, and be highly annoying, so we can't do that.

I understand though am diaappointed.  I'd argue my muscle
memory would be improved if I didn't have to remember three
different sets of some these similar bindings.  And of
course existing users are able to rebind them if they wish
and are certainly more able to do so than new users.  But
this argument has been made before.

> Individual users are free to rebind these as they wish, of course, and
> somebody properly motivated could make an ELPA package to unify these
> bindings, but I don't think there's anything realistic that can be done
> on the Emacs side here, so I'm therefore closing this bug report.

FWIW I do the following:

(with-eval-after-load 'grep-mode
  (define-key grep-mode-map (kbd "o") #'compile-goto-error)
  (define-key grep-mode-map (kbd "C-o") #'compilation-display-error))

I think adding these binding to emacs wouldn't break
any muscle memory and would unify at least two categories.

I'd also love to see one common way of entering wdired,
occur-edit and wgrep.  The burden of maintaining this muscle
memory is IMHO silly.

-- 

Howard